=== benchmark/Makefile ===
all: dm

dm: dm.c
	gcc -o dm dm.c
	strip dm

install:

uninstall:
	rm -f dm

clean: 
	rm -f dm
