=== testing/Makefile ===
all: show_size # acmp receiver sender writetest

show_size: show_size.c
	gcc -o show_size show_size.c

#writetest: writetest.c
#	gcc -g -o writetest writetest.c

#receiver: receiver.c
#	gcc -g -o receiver receiver.c

#sender: sender.c
#	gcc -g -o sender sender.c

clean: 
	rm -f show_size
