=== debian/changelog ===
drbd (0.7.7-1) unstable; urgency=low

  * (Cyril Bouthors)
     - New upstream release

 -- Cyril Bouthors <cyril@bouthors.org>  Wed, 15 Dec 2004 17:15:35 +0300

drbd (0.7.6-2) unstable; urgency=low

  * (Cyril Bouthors)
     - drbd0.7-module-source: Moved debhelper from Recommends to Depends

 -- Cyril Bouthors <cyril@bouthors.org>  Thu,  9 Dec 2004 20:37:41 +0300

drbd (0.7.6-1) unstable; urgency=low

  * (Cyril Bouthors)
     - New upstream release
     - debian/control.modules.in: updated description
     - debian/TODO: removed

 -- Cyril Bouthors <cyril@bouthors.org>  Tue, 30 Nov 2004 19:43:27 +0300

drbd (0.7.5-2) unstable; urgency=low

  * (Philipp Hug)
    - debian/control: Added Conflict with drbd-util and drbd-module-source
    - debian/control.in.modules: Fixed description for kernel module
    - debian/control.in.modules: Added Conflict line in kernel module package
    - debian/control.in.modules: Change depends to drbd0.7-util
    - debian/rules: don't use top-level makefile, to prevent re-creation of
      drbd_buildtag.c
    - call depmod in postinst of kernel module
    - debian/rules: remove obsolete upstream ./debian/ files in clean target
    - added module-assistant override file
    - this version is ready for sarge (Closes: #277669)

 -- Philipp Hug <debian@hug.cx>  Tue, 19 Oct 2004 20:50:49 +0200

drbd (0.7.5-1) unstable; urgency=low

  * (Cyril Bouthors)
    - New upstream release (closes: #276640).
    - debian/drbd0.7.dirs: removed usr/bin (closes: #276643).
    - debian/control: changed Section from misc to admin.
    - scripts/drbd: prevent the "stop" target from failing if drbd is not running
    - debian/rules: call upstream Makefile targets instead of doing hardcoded stuff, clean.
    - debian/drbd0.7.docs: added upgrade_0.6.x_to_0.7.0.txt and upgrade_0.7.0_to_0.7.1.txt.
    - The package drbd as been renamed to drbd0.7-utils and drbd-source as
      been renamed to drbd0.7-module-source.  We'll introduce drbd0.6-*
      and drbd*-module soon.
    - Added myself as Uploader.

  * (Philipp Hug)
    - Conflict with drbd and drbd-source
    - Fixed description for kernel modules
    - Added Conflict line in kernel-module package
    - Added bison, flex to Build-Depends
    - Call 'make clean' in drbd directory
    - Upgraded to debian-policy 3.6.1
    - Rewritten debian/rules using module-assistant
    - Change binary package name to drbd0.7
    - Added myself as Uploader

 -- Cyril Bouthors <cyril@bouthors.org>  Sat, 16 Oct 2004 23:43:27 +0200

drbd (0.7.4-1) unstable; urgency=low

  * Fixed a critical bug with Linux-2.4.x and HIGHMEM!
  * Fixed a bug that only showed up with the HIGHMEM problem on
    Linux-2.4.x -> It caused the resync process to starve.
  * The drbd.spec file now creates /dev/drbd in the post-install stage.
  * Fixed support for more than 2TB storage. Now DRBD supports up to
    3.99TB storage. It will also tell you, that it is not supported if
    you try to set up a bigger device.
  * Debian's build rules file now knows about the adjust_drbd_config_h.sh
    file.
  * DRBD_DISABLE_SENDPAGE available in drbd_config.h

 -- Philipp Reisner <phil@linbit.com>  Thu, 9 Sep 2004 19:50:00 +0200

drbd (0.7.3-2) unstable; urgency=low

  * Fixed debian/rules: Include adjust_drbd_config_h.sh in drbd-source

 -- Philipp Hug <debian@hug.cx>  Tue, 31 Aug 2004 15:37:38 +0000

drbd (0.7.3-1) unstable; urgency=low

  * Fixed minor bugs in the handling of the generation counters.
  * prevent possible in-kernel buffer overflow in drbd_proc.c
  * Fixed debian's postinst script to create /dev/drbd? instead of /dev/nb?
  * drbd status:
    be nice to heartbeat, include "OK" in output.
  * added FullSync meta data flag to read/write gc.pl
  * make the RHEL3 happy (page_count no longer in mm.h, but in mm_inline.h)
  * [Patch by Pavel Semerad]. Also use the drbd_devfs_name on Linux-2.4.x
  * fix missing dependencies on drbd_config.h

 -- Philipp Reisner <phil@linbit.com>  Fri, 27 Aug 2004 15:02:00 +0200

drbd (0.7.2-1) unstable; urgency=low

  * Proper handling of backing storage devices that occasionally fail
    READA (=read ahead) requests. (E.g. LVM and MD)
  * DRBD now fails READA requests itself, if a resynchronisation is running
    and it would need to fetch the block from its peer.
  * "drbdadm adjust" had a race, which caused random errors. ( Missing
    waitpid() ). Fixed now.
  * Proper subtract SyncPause times from the syncer performance numbers.
  * Fix to the syncer progress bar in /proc/drbd.
  * Fix to debian build rules.

 -- Philipp Reisner <phil@linbit.com>  Fri, 6 Aug 2004 14:44:31 +0200

drbd (0.7.1-1) unstable; urgency=low

  * Upgrade instructions for 0.6.x -> 0.7.0 and 0.7.0 -> 0.7.1
  * Workaround for XFS' IO requests with page count of zero.
  * Handle the human and the timeout count correctly in the new init script.
  * The implementation of the incon-degr-cmd was missing, added.
  * Fix for integer overflow in /proc/drbd syncer progress display
  * Longer timeouts in drbdadm for drbdsetup commands witch operate on
    meta data.
  * New major number 147 (officially registered at lanana.org).
  * Added a missing w_resume_next_wg() in case we stop syncing because
    of connection loss.
  * Fixed a Linux-2.2-ismus in recieve_data_tail(). Should considerably
    speed up protocols A and B.
  * Some work on vendor kernel compatibility

 -- Philipp Reisner <phil@linbit.com>  Fri, 30 Jul 2004 13:50:33 +0200

drbd (0.7.0-1) unstable; urgency=low

  * s/WriteHint/UnplugRemote/g
  * new module parameter major_nr to allow "arbitrary" major numbers
  * adjusted CTH to cope with that
  * fix copy'n'paste and conversion errors in initial bitmap handshake
  * warning "please upgrade me" if peer speaks (PRO_VERSION+1)
  * drbd_set_in_sync and drbd_set_out_of_sync are now macros
    calling to __*, giving file and line information,
    to be able to easily track causes of "strange state"s there.

