=== benchmark/Makefile ===
CFLAGS=-Wall

all: dm

install:

clean: 
	rm -f dm

distclean: clean
